Metacat listObjects MN test failing for startTime

2012-03-12 20:48 - Ben Leinfelder

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Ben Leinfelder % Done: 100%

Category: Metacat Estimated time: 0.00 hour

Target version: Sprint-2012.11-Block.2.2   

Milestone: CCI-1.0.0 Story Points:  

Product Version: *   

Description

Looks like startTime is not fully beng respected for  the queries:

java.lang.AssertionError: identifier MNodeTierTests.201272124037945 with sysMetaModified date of Mon Mar 12 13:40:38 UTC

2012 should not be in the objectList where startTime set to Mon Mar 12 13:40:46 UTC 2012 [for host 

https://fred.msi.ucsb.edu/knb/d1/mn/v1]

History

#1 - 2012-03-12 20:49 - Ben Leinfelder

- Category set to Metacat

- Assignee set to Ben Leinfelder

#2 - 2012-03-13 03:37 - Ben Leinfelder

- Status changed from New to In Progress

On my MacBook this works as expected: the dates are handled correctly and slicing with them is a piece of cake.

On fred it seems like there is a time zone issue - perhaps between the JDBC layer and the actual DB.

For example:

When requesting:

https://fred.msi.ucsb.edu/knb/d1/mn/v1/object?fromDate=2012-03-13T00:08:23+00:00

I can see a prepared statement like: "select guid, date_uploaded, rights_holder, checksum, checksum_algorithm, origin_member_node,

authoritive_member_node, date_modified, submitter, object_format, size  from systemmetadata  where date_modified >= 2012-03-13

00:08:23+00:00"

but when it executes in Java the results are not filtered correctly (they seem to ignore the time zone offset and therefore include too many records)

when I run the query statement directly using psql, I see the expected results (filtered down).

If I request with a local timezone offset, I get the filtered list:

https://fred.msi.ucsb.edu/knb/d1/mn/v1/object?fromDate=2012-03-13T00:08:23-07:00

but that means it is finding a record with date_modified = 2012-03-13T00:08:23.924+00:00
#3 - 2012-03-13 17:19 - Ben Leinfelder

- Status changed from In Progress to Closed

works on DEMO2
